View Issue Details

IDProjectCategoryView StatusLast Update
15389Bug reports[All Projects] Print Viewpublic2019-10-14 13:57
ReporterMazi Assigned Todominikvitt  
PrioritynoneSeverityminor 
Status closedResolutionfixed 
Product Version3.18.0 
Target VersionFixed in Version3.18.0 
Summary15389: Line breaks at question text get lots at "print answers" overview
Description

If there are line breaks at your question text and you are using the "print answers" feature, those line breaks get lost, they are not shown anymore.

Steps To Reproduce
  1. Create a 1 question demo survey with line breaks at the question text.
  2. Enable "Users may print answers" survey setting and activate.
  3. Complete the survey and call the "print answers" screen.
  4. -> Where are mine line breaks?
TagsNo tags attached.
Complete LimeSurvey version number (& build)Version 3.17.16+190906
I will donate to the project if issue is resolvedNo
BrowserChrome
Database & DB-VersionMySQL 5
Server OS (if known)Ubuntu 14 TLS
Webserver software & version (if known)Apache 2
PHP Version7.2

Relationships

related to 14353 assignedLouisGac Print answers as PDF make to wide part 

Activities

dominikvitt

dominikvitt

2019-10-10 18:11

developer   ~53992

Fix committed to master branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=29190

lime_release_bot

lime_release_bot

2019-10-14 13:57

administrator   ~54025

Fixed in Release 4.0.0-RC5+191014

Related Changesets

LimeSurvey: master 877822e5

2019-10-10 18:11:25

dominikvitt

Details Diff
Fixed issue 15389: Line breaks at question text get lots at "print answers" overview Affected Issues
15389
mod - application/controllers/PrintanswersController.php Diff File

Issue History

Date Modified Username Field Change
2019-10-08 15:15 Mazi New Issue
2019-10-08 15:18 DenisChenu Relationship added related to 14353
2019-10-10 18:11 dominikvitt Changeset attached => LimeSurvey master 877822e5
2019-10-10 18:11 dominikvitt Note Added: 53992
2019-10-10 18:11 dominikvitt Assigned To => dominikvitt
2019-10-10 18:11 dominikvitt Resolution open => fixed
2019-10-10 18:12 dominikvitt Status new => resolved
2019-10-10 18:12 dominikvitt Fixed in Version => 3.18.0
2019-10-14 13:57 lime_release_bot Note Added: 54025
2019-10-14 13:57 lime_release_bot Status resolved => closed